ncpmap(8)

NAME
ncpmap - mounts some resource from Netware server or tree previously connected with ncplogin

SYNOPSIS
ncpmap [OPTIONS] [-a] [mount-point]

DESCRIPTION
ncplogin and ncpmap provide a way to split the ncpmount operation into halves, with ncpmap mounting the resource previously authenticated with ncplogin.

OPTIONS
mount_point is optional if you specify the -a option. -T tree Tree name to be used. -S server Server name to be used. The -T and -S options are mutually exclusive. -X name_ctx Default name context to be used. -E Echo value of final mount_point. -V volume Volume to mount. This must be in binary format if -S server, or in NDS format if -T tree. -R path Path in volume to "map root." -f mode Permission given the files, in octal notation. -d mode Permission given the directories, in octal notation. -t time_out Waiting time, in 1/100s of a second, to wait for an answer from the server. Default is 60. -r retry_count Number of retry attempts. Default is 5. -s Enable renaming or deletion of read-only files. -h Print help text. -v Print ncpfs version number. -i level Signature level. 0 = never, 1 = supported, 2 = preferred, and 3 = required. -N os2,nfs Do not use specified namespaces on mounted volume. -y charset Character set used for input and display. -p codepage Codepage used on volume, including letters "cp." -B bcast Broadcast mode. 0 = all, 1 = console, and 2 = none. Default is all. -a Autocreate mounting point if needed in ~/ncp/SERVER/VOLUME. -l Autocreate mounting point if needed in /mnt/ncp/SERVER/VOLUME.

SECURITY
ncpmap must be setuid to permit non-root users use of it. In these cases, it will enforce nodev and nosetuid mount options.

SEE ALSO
ncplogin(1), ncpmount(8)

AUTHOR
Manpage written by Rodrigo Rubira Branco <rrbranco@br.ibm.com> with Petr Vandrovec <petr@vandrovec.name>.